<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

use Gls\GlsPoland\Soap\Client\Type\ResultInterface;

final class CParcelShop2Array implements ResultInterface, \IteratorAggregate, \JsonSerializable
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2[]
     */
    private $items;

    public function getItems(): array
    {
        return $this->items;
    }

    public function getIterator()
    {
        return new \ArrayIterator($this->items);
    }

    public function jsonSerialize()
    {
        return $this->items;
    }
}
